yaourt的安装及使用

yaourt-Yet AnOther User Repository Tool

Yaourt是archlinux方便使用的关键部件之一,但没有被整合到系统安装中的工具。建议在装完系统重启之后,更新完pacman和基本系统之后,就安装这个工具。

简便的安装

最简单安装Yaourt的方式是添加Yaourt源至您的 /etc/pacman.conf:

同步并安装:
pacman -Sy
pacman -S yaourt

如何使用yaourt?

yaourt用起来很简单,而且类似于Pacman的命令,下面是常用的一些命令:

yaourt -S package_name – 从AUR安装软件包
yaourt -Ss password – 使用关键字搜索软件包
yaourt -Syu –aur – 从AUR升级本地软件数据库并安装更新
yaourt -Si package_name – 列出软件包信息
yaourt -Sc – 从缓存中清楚旧的软件包
yaourt -Su – 安装AUR中的更新软件包
yaourt -Sy – 获取最新的AUR软件包数据库
yaourt -Cd – 清楚AUR软件包数据库
yaourt -R package_name – 删除软件包

你可以通过yaourt –help命令获得更多信息。

加速yaourt

都知道pacman能够调用外部下载工具来代替默认的wget来给pacman提速
比如将/etc/pacman.conf中
XferCommand = /usr/bin/wget –passive-ftp -c -O %o %u
注释掉,同时添加
XferCommand = /usr/bin/axel -o %o %u
即可使用axel多线程下载工具
而要让yaourt也支持多线程,只需修改/etc/makepkg.conf

将’http::/usr/bin/wget -c -t 3 –waitretry=3 -O %o %u’改成了’http::/usr/bin/axel -o %o %u’

原创文章,转载请注明: 转载自贝壳博客

本文链接地址: yaourt的安装及使用

《yaourt的安装及使用》有8个想法

  1. 我刚换的arch系统
    按你说的在/etc/pacman.conf添加了你的代码,并执行了pacman -Sy 。然后报错了
    ##错误:无法从 repo.archlinux.fr : Resolving timed out after 10521 milliseconds 获取文件 ‘archlinuxfr.db’
    ##错误:无法升级 archlinuxfr (下载函数库出错)
    后来又再百度搜索解决方案。最后设置是这样的。

    [archlinuxfr]
    SigLevel = Never
    Server = http://repo.archlinux.fr/$arch

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据